x=1
print(type(x))

x=1.0
print(type(x))

x='a'
print(type(x))

x='abcd'
print(type(x))

x=[1,2,3]
print(type(x))

x=(1,3,'a')
print(type(x))

x={"a":1,"b":4,"truc":"machin"}
print(type(x))

def f(x):
    return x+1
print(type(f))
